'use strict';

var css = `
ytd-compact-autoplay-renderer.ytd-watch-next-secondary-results-renderer,
.autoplay-bar {
  opacity: opacity: 1;
}
ytd-compact-autoplay-renderer.ytd-watch-next-secondary-results-renderer paper-toggle-button,
.checkbox-on-off {
  display: none;
}
`;

function addGlobalStyle(css) {
  try {
    const elmHead = document.getElementsByTagName('head')[0];
    const elmStyle = document.createElement('style');
    elmStyle.type = 'text/css';
    elmHead.appendChild(elmStyle);
    elmStyle.textContent = css;
  }
  catch (e) {
    if (!document.styleSheets.length) {
      document.createStyleSheet();
    }
    document.styleSheets[0].cssText += css;
  }
}

chrome.storage.local.get({
  'opacity': 30
}, prefs => {
  addGlobalStyle(css.replace('opacity: 1', prefs.opacity / 100));
});
