'use strict';

function save () {
  let opacity = +document.getElementById('opacity').value;
  let faqs = document.getElementById('faqs').checked;
  chrome.storage.local.set({
    opacity,
    faqs
  }, () => {
    let status = document.getElementById('status');
    status.textContent = 'Options saved.';
    setTimeout(() => status.textContent = '', 750);
  });
}

function restore () {
  chrome.storage.local.get({
    opacity: 30,
    faqs: navigator.userAgent.toLowerCase().indexOf('firefox') === -1 ? true : false
  }, prefs => {
    document.getElementById('opacity').value = prefs.opacity;
    document.getElementById('faqs').checked = prefs.faqs;
  });
}
document.addEventListener('DOMContentLoaded', restore);
document.getElementById('save').addEventListener('click', save);
